> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Bootstrap brand

> Brand bootstrapped (created or reused), validated and optionally activated.

### Request body

`object`

**brand\_id** `string`

**tenant\_id** `string`

**slug** `string`

**display\_name** `string`

**routing\_mode** `string`

**metadata** `object`

**template** `string`

**activate** `boolean`

**min\_golden\_pass\_rate** `number`

### Response

`object`

**brand** `object` *required*

Brand record

**brand**

**id** `string (uuid)` *required*

**tenant\_id** `string (uuid)` *required*

**slug** `string` *required*

**display\_name** `string` *required*

**status** `string` *required*

**routing\_mode** `string` *required*

**canary\_percent** `integer` *required*

**region** `string` *required*

**default\_locale** `string` *required*

**policy\_set\_key** `string`

**quotas** `object` *required*

**metadata** `object` *required*

**config\_version** `integer` *required*

**config\_fingerprint** `string` *required*

**activated\_at** `string (date-time)`

**created\_at** `string (date-time)` *required*

**updated\_at** `string (date-time)` *required*

**workflow\_bindings** `object[]` *required*

**workflow\_bindings**

**workflow\_type** `string` *required*

**template\_key** `string` *required*

**template\_version** `integer` *required*

**task\_queue** `string` *required*

**enabled** `boolean` *required*

**deterministic\_config** `object` *required*

**validation** `object` *required*

Validation report

**validation**

**valid** `boolean` *required*

**errors** `string[]` *required*

**warnings** `string[]` *required*

**checks** `object[]` *required*

**checks**

**code** `string` *required*

**ok** `boolean` *required*

**message** `string` *required*

**readiness** `object`

**readiness**

**activation\_ready** `boolean` *required*

**self\_service\_ready** `boolean` *required*

**summary** `string` *required*

**steps** `object[]` *required*

**created** `boolean` *required*

**binding\_bootstrapped** `boolean` *required*

**activated** `boolean` *required*

**template\_id** `string`

### Status codes

| Code | Meaning |
| - | - |
| `200` | Brand bootstrapped (created or reused), validated and optionally activated. |
| `400` | Validation error |
| `401` | Unauthorized |
| `404` | Not found |
| `429` | Rate limited |
| `500` | Internal error |

```bash cURL theme={null}
curl --request POST \
  --url 'https://api.workstream.stateset.com/v1/bootstrap/brands' \
  --header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
  --header 'Content-Type: application/json' \
  --data '{
  "brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "tenant_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "slug": "acme-outdoors",
  "display_name": "Ada Lovelace",
  "routing_mode": "string",
  "metadata": {},
  "template": "string",
  "activate": true,
  "min_golden_pass_rate": 7.5
}'
```

```json 200 theme={null}
{
  "brand": {
    "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "tenant_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "slug": "acme-outdoors",
    "display_name": "Ada Lovelace",
    "status": "pending",
    "routing_mode": "string",
    "canary_percent": 8,
    "region": "CA",
    "default_locale": "string",
    "policy_set_key": "string",
    "quotas": {},
    "metadata": {},
    "config_version": 1,
    "config_fingerprint": "string",
    "activated_at": "2026-08-31T14:22:05Z",
    "created_at": "2026-08-31T14:22:05Z",
    "updated_at": "2026-08-31T14:22:05Z",
    "workflow_bindings": [
      {
        "workflow_type": null,
        "template_key": null,
        "template_version": null,
        "task_queue": null,
        "enabled": null,
        "deterministic_config": null
      }
    ]
  },
  "validation": {
    "valid": true,
    "errors": [
      "string"
    ],
    "warnings": [
      "string"
    ],
    "checks": [
      {
        "code": null,
        "ok": null,
        "message": null
      }
    ],
    "readiness": {
      "activation_ready": true,
      "self_service_ready": true,
      "summary": "Two-person tent, green — replacement for damaged pole set.",
      "steps": []
    }
  },
  "created": true,
  "binding_bootstrapped": true,
  "activated": true,
  "template_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.